Overview
POST
/integration/integration-pagesintegrationCreate integration_pages
Create a record in integration-pages.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- connectionIdstring
- externalIdstring
- titleoptionalstring
- objectTypestring
- urloptionalstring?
- iconoptionalstring?
- parentTypeoptionalstring?
- parentIdoptionalstring?
- isArchivedoptionalboolean
- lastEditedAtoptionalstring?
- isDeletedoptionalboolean
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"title": "string",
"objectType": "string",
"url": "string",
"icon": "string",
"parentType": "string",
"parentId": "string",
"isArchived": true,
"lastEditedAt": "string",
"isDeleted": true
}Responses
201
integration_pages
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- titlestring
- objectTypestring
- urlstring?
- iconstring?
- parentTypestring?
- parentIdstring?
- isArchivedboolean
- lastEditedAtstring?
- isDeletedboolean
- syncVersioninteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"title": "string",
"objectType": "string",
"url": "string",
"icon": "string",
"parentType": "string",
"parentId": "string",
"isArchived": true,
"lastEditedAt": "string",
"isDeleted": true,
"syncVersion": 0,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/integration/integration-pages" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"title": "string",
"objectType": "string",
"url": "string",
"icon": "string",
"parentType": "string",
"parentId": "string",
"isArchived": true,
"lastEditedAt": "string",
"isDeleted": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-pages", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"connectionId\": \"string\",\n \"externalId\": \"string\",\n \"title\": \"string\",\n \"objectType\": \"string\",\n \"url\": \"string\",\n \"icon\": \"string\",\n \"parentType\": \"string\",\n \"parentId\": \"string\",\n \"isArchived\": true,\n \"lastEditedAt\": \"string\",\n \"isDeleted\": true\n}",
});
const data = await res.json();